/* AGE GATE */
.age-gate {
    color: var(--color-black);
    position: fixed;
    left: 0;
    top: 0;
    width: 100lvw;
    height: 100lvh;
    overflow: hidden;
    z-index: 99999;
    backdrop-filter: blur(5px);

    pointer-events: none;
    opacity: 0;
    transition: var(--transition);
}

.age-gate[data-active] {
    opacity: 1;
    pointer-events: all;
}

.age-gate:not([data-active]) {
    opacity: 0;
    pointer-events: none;
}

.age-gate__wrapper {
    position: relative;
    width: 100%;
    height: 100%;
}

/* .age-gate__background {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    object-fit: cover;
    z-index: -1;
} */

.age-gate__content {
    background: rgba(var(--color-secondary-rgb), .9);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.15);
    border-radius: var(--border-radius-default);
    padding: calc(3 * var(--spacing-default));
}

.age-gate__input {
    /* font-family: 'Secondary'; */
    color: var(--color-green);
    width: calc(2 * var(--unit-100));
    border-radius: var(--border-radius-medium);
    text-align: center;
    line-height: 1;
    background-color: var(--color-white);
    overflow: hidden;
    padding: calc(.5 * var(--spacing-default));
    outline: 0;
    border: 0;
    margin: 0;
}

.age-gate__input::-webkit-outer-spin-button,
.age-gate__input::-webkit-inner-spin-button {
    appearance: none;
    -webkit-appearance: none;
    margin: 0;
}

.age-gate__input[type=number] {
    -moz-appearance: textfield;
}

.age-gate__shadow {
    position: relative;
}

.age-gate__shadow::before {
    background: rgba(32, 64, 45, .561);
    bottom: -5px;
    content: "";
    filter: blur(10px);
    height: 100%;
    left: 50%;
    position: absolute;
    transform: translateX(-50%);
    width: 100%;
    z-index: -1;
}

/* SMALL ONLY */
@media (max-width: 63.9375rem) {
    .age-gate__wrapper {
        width: 90%;
        margin: auto;
    }
}

/* END SMALL ONLY */

/* LARGE ONLY */
@media (min-width: 64rem) {
    .age-gate__content {
        max-width: 50%;
    }
}

/* END LARGE ONLY */

/* END AGE GATE */